<?php
/**
 * Plugin Name: GPLVault Update Manager
 * Plugin URI: https://www.gplvault.com
 * Description: Keep your site in sync with all WordPress plugins and themes from <a href="https://www.gplvault.com" target="_blank">www.gplvault.com</a>
 * Version: 3.3.1
 * Tested up to: 5.4.1
 * Author: GPL Vault
 * Author URI: https://www.gplvault.com
 * Text Domain: gplvault
 * License: GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Network: True
 */

defined( 'WPINC' ) || die("-1");

/** Adding Overrides */
include_once dirname(__FILE__ ) . '/includes/overrides/includes.php';

defined( 'GV_UPDATER_VERSION' ) || define( 'GV_UPDATER_VERSION', '3.3.1');

defined( 'GV_UPDATER_NAME' ) || define( 'GV_UPDATER_NAME', 'gplvault-updater');

if ( ! defined( 'GV_UPDATER_PATH' ) ) {
	define( 'GV_UPDATER_PATH', plugin_dir_path( __FILE__ ));
}

if ( ! defined( 'GV_UPDATER_URL' ) ) {
	define( 'GV_UPDATER_URL', plugin_dir_url( __FILE__ ));
}

if (! defined( 'GV_UPDATER_INC') ) {
	define( 'GV_UPDATER_INC', plugin_dir_path(__FILE__) . 'includes/' );
}

if ( ! defined( 'GV_UPDATER_BASENAME' ) ) {
	define( 'GV_UPDATER_BASENAME', plugin_basename( __FILE__ ));
}

if ( ! defined( 'GV_UPDATER_STATIC_PATH' ) ) {
	define( 'GV_UPDATER_STATIC_PATH', plugin_dir_path(__FILE__) . 'static/');
}

if ( ! defined( 'GV_UPDATER_STATIC_URL' ) ) {
	define( 'GV_UPDATER_STATIC_URL', plugin_dir_url(__FILE__) . 'static/');
}

defined('GV_UPDATER_API_URL') || define( 'GV_UPDATER_API_URL', 'https://www.gplvault.com/');

defined( 'GPLVAULT_RENAME_PLUGINS' ) || define( 'GPLVAULT_RENAME_PLUGINS', true );

if ( ! defined( 'GV_UPDATER_LOG_DIR') ) {
	$up_dir = wp_upload_dir();

	define('GV_UPDATER_LOG_DIR', $up_dir['basedir'] . '/gplvault-logs/');
}


register_activation_hook(__FILE__, 'gplvault_updater_activate');

register_deactivation_hook( __FILE__, 'gplvault_updater_deactivate');

function gplvault_updater_activate() {
	require_once GV_UPDATER_INC . 'class-gplvault-activation.php';
	GPLVault_Updater_Activator::activate();
}

function gplvault_updater_deactivate() {
	require_once GV_UPDATER_INC . 'class-gplvault-deactivation.php';
	GPLVault_Updater_Deactivator::deactivate();
}

/**
 * Starts the excution of the plugin here
 */
require GV_UPDATER_INC . 'class-gplvault-updater.php';


/**
 * @return GPLVault_Updater
 */
function GVMain() {
	return GPLVault_Updater::instance();
}

function starts_gplvault() {
	GVMain()->run();
}
starts_gplvault();

$_GLOBALS['gplvault'] = GVMain();