<?php

/**
 * Fired during plugin activation
 *
 * @since      1.0.0
 *
 * @package    GPLVault_Updater
 * @subpackage GPLVault_Updater/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    GPLVault_Updater
 * @subpackage GPLVault_Updater/includes
 * @author     GPL Vault <support@gplvault.com>
 */
class GPLVault_Updater_Activator {

	/**
	 * Run this method during plugin activation
	 *
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		if (! wp_next_scheduled('gplvault_six_hours_cron')) {
			wp_schedule_event(time(), 'gv_fourtimes', 'gplvault_six_hours_cron');
		}

		if (! class_exists( 'GPLVault_Settings_Manager', false )) {
			require_once GV_UPDATER_INC . 'settings/class-gplvault-settings-manager.php';
		}

		if (! function_exists( 'GVApi' ) ) {
			require_once GV_UPDATER_INC . 'gplvault-functions.php';
		}

		$settings_manager = GPLVault_Settings_Manager::instance();

		$settings_manager->set_initial();

		@gv_create_files();
	}

}
